Media
Save the editable recipe for a screenshot export
POST
/screenshot-templates/designs/{id}/exportsAuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/screenshot-templates/designs/string/exports" \ -H "Content-Type: application/json" \ -d '{ "media_id": "string", "revision": 1 }'{ "$schema": "https://example.com/api/v1/schemas/ScreenshotTemplateRecipeOutputBody.json", "document": { "appearance": "light", "conversation": { "messages": [ { "id": "string", "image_media_id": "string", "sender_id": "string", "text": "string" } ], "name": "string", "people": [ { "avatar_media_id": "string", "id": "string", "name": "string" }, { "avatar_media_id": "string", "id": "string", "name": "string" } ], "read_receipt": "string", "self_id": "string", "show_header": true, "timestamp": "string" }, "frame": "natural", "meme": { "alt_text": "string", "captions": [ "string" ], "format": "png", "name": "string", "overlay_media_ids": [ "string" ], "overlay_slots": 0, "parent_media_id": "string", "template_id": "string" }, "receipt": { "address": "string", "business": "string", "currency": "USD", "custom_total": "string", "footer": "string", "items": [ { "amount_cents": 0, "id": "string", "name": "string", "quantity": 1 } ], "order": "string", "tax_percent": 0, "timestamp": "string" }, "schema_version": 1, "status_page": { "headline": "string", "name": "string", "severity": "operational", "updates": [ { "id": "string", "stage": "string", "text": "string", "timestamp": "string" } ] }, "template_id": "messages", "text_size": "small", "title": "string" }, "workspace_id": "string"}